Subject: Re: query: picking dependant commits from a latest tree

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 30 Mar 2012 11:29:10 -0500

On 3/27/2012 4:55 AM, Shiraz Hashim wrote:
>
> If I try to pick commits from a latest tree for a particular feature
> then what is the best way to find out all dependant commits.
>
> So for example for the commit which I want to pick there are 10 other
> commits around that file but some affect other files which themselves
> have several commits which I must apply.
>
> Is their a way to do this efficiently ?
>
You're assuming all dependencies reside in the same commits or in common 
files.  If the changes in a commit are dependent on the previous commit 
and they do not share any of the same files then what you are proposing 
is not going to catch that.

v/r,
neal